<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>Table Header</title>
	</head>
	<body th:fragment="table_header">
		<div class="px-3 pt-3">
			<h1 class="text-xl font-semibold text-on-surface-higher">Kip Kuliah Periode</h1>
			<p class="text-on-surface-lower">Manage KIP Kuliah registration periode here</p>
			<!-- alert -->
			<div x-data="{isOpen : true}" x-init="setTimeout(()=> isOpen = false, 4000)">
				<div
					x-show="isOpen"
					x-transition
					class="mt-2 rounded-default border border-success-lower bg-success-container p-4 text-sm text-on-success-container"
					role="alert"
				>
					<div class="flex">
						<div class="shrink-0">
							<svg
								class="mt-0.5 size-4 shrink-0"
								xmlns="http://www.w3.org/2000/svg"
								width="24"
								height="24"
								viewBox="0 0 24 24"
								fill="none"
								stroke="currentColor"
								stroke-width="2"
								stroke-linecap="round"
								stroke-linejoin="round"
							>
								<path
									d="M12 22c5.523 0 10-4.477 10-10S17.523 2 12 2 2 6.477 2 12s4.477 10 10 10z"
								></path>
								<path d="m9 12 2 2 4-4"></path>
							</svg>
						</div>
						<div class="ms-2">
							<h3 id="hs-dismiss-button-label" class="text-sm font-medium">
								Periode has been successfully <span>created</span>
							</h3>
						</div>
						<div class="ms-auto ps-3">
							<div class="-mx-1.5 -my-1.5">
								<button
									@click="isOpen = false"
									type="button"
									class="inline-flex rounded-lg bg-success-container p-1.5 text-on-success-container hover:bg-success-container-higher focus:bg-success-container-higher focus:outline-none"
									data-hs-remove-element="#dismiss-alert"
								>
									<span class="sr-only">Dismiss</span>
									<svg
										class="size-4 shrink-0"
										xmlns="http://www.w3.org/2000/svg"
										width="24"
										height="24"
										viewBox="0 0 24 24"
										fill="none"
										stroke="currentColor"
										stroke-width="2"
										stroke-linecap="round"
										stroke-linejoin="round"
									>
										<path d="M18 6 6 18"></path>
										<path d="m6 6 12 12"></path>
									</svg>
								</button>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="flex flex-col gap-2 p-3 sm:flex-row sm:items-center sm:justify-between">
			<!-- search & size form -->
			<div class="flex items-center gap-2">
				<!-- size -->
				<form class="shrink-0">
					<select
						class="block w-full rounded-default border border-surface-outline bg-surface-container px-3 py-2.5 pe-8 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
						name="pageSize"
						onchange="submit()"
					>
						<option th:selected="${pageSize == 10}" value="10">10</option>
						<option th:selected="${pageSize == 25}" value="25">25</option>
						<option th:selected="${pageSize == 50}" value="50">50</option>
						<option th:selected="${pageSize == 100}" value="100">100</option>
					</select>
					<input type="hidden" name="search" th:value="${search}" />
				</form>
				<!-- search -->
				<form class="w-full">
					<div class="relative">
						<input
							class="block w-full rounded-default border border-surface-outline bg-transparent px-3 py-2.5 ps-10 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest md:min-w-72"
							type="text"
							id="search"
							name="search"
							th:value="${search}"
							placeholder="Search"
						/>
						<div class="absolute inset-y-0 start-0 flex items-center ps-4">
							<svg
								xmlns="http://www.w3.org/2000/svg"
								fill="none"
								viewBox="0 0 24 24"
								stroke-width="1.5"
								stroke="currentColor"
								class="size-4 shrink-0 text-on-surface-lower"
							>
								<path
									stroke-linecap="round"
									stroke-linejoin="round"
									d="m21 21-5.197-5.197m0 0A7.5 7.5 0 1 0 5.196 5.196a7.5 7.5 0 0 0 10.607 10.607Z"
								/>
							</svg>
						</div>
					</div>
				</form>
			</div>
		</div>
	</body>
</html>
